Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Delete a role, using a valid management key.
This API endpoint allows administrators to delete an existing role. The endpoint takes the following one parameter:
- name (required)
See also
- See User Authorization for further details on managing roles and permissions._override/App.tsx
curl -X POST "https://api.descope.com/v1/mgmt/role/delete" \ -H "Content-Type: application/json" \ -d '{}'Update Role POST
### Update an existing role, using a valid management key. This API endpoint allows administrators to update an existing role. The endpoint takes the following four parameters: - name (required) - newName (required) - description (optional - though if not provided, it will be removed from the role)) - permissionNames (optional - though if not provided, it will be removed from the role)) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.
Batch Delete Roles POST
### Delete roles in batch, using a valid management key. This API endpoint allows administrators to delete roles in batch. The endpoint takes the following one parameter: - roleNames (required) ### See also - See [User Authorization](/manage/roles/) for further details on managing roles and permissions.